## LOC Get Server indication LOC Get Server indication |

## Functions

QmiIndicationLocGetServerOutput * | qmi_indication_loc_get_server_output_ref ()
void | qmi_indication_loc_get_server_output_unref ()
gboolean | qmi_indication_loc_get_server_output_get_url ()
gboolean | qmi_indication_loc_get_server_output_get_ipv6 ()
gboolean | qmi_indication_loc_get_server_output_get_ipv4 ()
gboolean | qmi_indication_loc_get_server_output_get_server_type ()
gboolean | qmi_indication_loc_get_server_output_get_indication_status ()

## Types and Values

| QmiIndicationLocGetServerOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocGetServerOutput

## Description

## Functions

### qmi_indication_loc_get_server_output_ref ()

    QmiIndicationLocGetServerOutput *
    qmi_indication_loc_get_server_output_ref
                                   (QmiIndicationLocGetServerOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocGetServerOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_get_server_output_unref ()

    void
    qmi_indication_loc_get_server_output_unref
                                   (QmiIndicationLocGetServerOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocGetServerOutput. |

Since: 1.22

### qmi_indication_loc_get_server_output_get_url ()

    gboolean
    qmi_indication_loc_get_server_output_get_url
                                   (QmiIndicationLocGetServerOutput *self,
                                    const gchar **value_url,
                                    GError **error);

Get the 'URL' field from `self` .

#### Parameters

self | a QmiIndicationLocGetServerOutput. |
value_url | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_server_output_get_ipv6 ()

    gboolean
    qmi_indication_loc_get_server_output_get_ipv6
                                   (QmiIndicationLocGetServerOutput *self,
                                    GArray **value_ipv6_ipv6_address,
                                    guint32 *value_ipv6_ipv6_port,
                                    GError **error);

Get the 'IPv6' field from `self` .

#### Parameters

self | a QmiIndicationLocGetServerOutput. |
value_ipv6_ipv6_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint16][transfer none]
value_ipv6_ipv6_port | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_server_output_get_ipv4 ()

    gboolean
    qmi_indication_loc_get_server_output_get_ipv4
                                   (QmiIndicationLocGetServerOutput *self,
                                    guint32 *value_ipv4_ipv4_address,
                                    guint16 *value_ipv4_ipv4_port,
                                    GError **error);

Get the 'IPv4' field from `self` .

#### Parameters

self | a QmiIndicationLocGetServerOutput. |
value_ipv4_ipv4_address | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
value_ipv4_ipv4_port | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_server_output_get_server_type ()

    gboolean
    qmi_indication_loc_get_server_output_get_server_type
                                   (QmiIndicationLocGetServerOutput *self,
                                    QmiLocServerType *value_server_type,
                                    GError **error);

Get the 'Server Type' field from `self` .

#### Parameters

self | a QmiIndicationLocGetServerOutput. |
value_server_type | a placeholder for the output QmiLocServerType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_indication_loc_get_server_output_get_indication_status ()

    gboolean
    qmi_indication_loc_get_server_output_get_indication_status
                                   (QmiIndicationLocGetServerOutput *self,
                                    QmiLocIndicationStatus *value_indication_status,
                                    GError **error);

Get the 'Indication Status' field from `self` .

#### Parameters

self | a QmiIndicationLocGetServerOutput. |
value_indication_status | a placeholder for the output QmiLocIndicationStatus, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

## Types and Values

### QmiIndicationLocGetServerOutput

    typedef struct _QmiIndicationLocGetServerOutput QmiIndicationLocGetServerOutput;

The QmiIndicationLocGetServerOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22